diff --git a/src/translator_fa.h b/src/translator_fa.h
index 7b6f9d7..a56d1ec 100644
--- a/src/translator_fa.h
+++ b/src/translator_fa.h
@@ -1187,9 +1187,9 @@ class TranslatorPersian : public TranslatorAdapter_1_7_5
      *  be followed by a single name or by a list of names
      *  of the category.
      */
-    virtual QCString trClass(bool first_capital, bool singular)
+    virtual QCString trClass(bool, bool singular)
     {
-      QCString result((first_capital ? "کلاس" : "کلاس"));
+      QCString result("کلاس");
       if (!singular)  result+="ها";
       return result;
     }
@@ -1209,9 +1209,9 @@ class TranslatorPersian : public TranslatorAdapter_1_7_5
      *  be followed by a single name or by a list of names
      *  of the category.
      */
-    virtual QCString trNamespace(bool first_capital, bool singular)
+    virtual QCString trNamespace(bool, bool singular)
     {
-      QCString result((first_capital ? "فضای نام " : "فضای نام "));
+      QCString result("فضای نام ");
       if (!singular)  result+="ها";
       return result;
     }
@@ -1231,9 +1231,9 @@ class TranslatorPersian : public TranslatorAdapter_1_7_5
      *  be followed by a single name or by a list of names
      *  of the category.
      */
-    virtual QCString trPage(bool first_capital, bool singular)
+    virtual QCString trPage(bool, bool singular)
     {
-      QCString result((first_capital ? "صفحه" : "صفحه"));
+      QCString result("صفحه");
       if (!singular)  result+=" ها ";
       return result;
     }
@@ -1242,9 +1242,9 @@ class TranslatorPersian : public TranslatorAdapter_1_7_5
      *  be followed by a single name or by a list of names
      *  of the category.
      */
-    virtual QCString trMember(bool first_capital, bool singular)
+    virtual QCString trMember(bool , bool singular)
     {
-      QCString result((first_capital ? "عضو" : "عضو"));
+      QCString result("عضو");
       if (!singular)  result+="ها";
       return result;
     }
